<h2>Angular mat-table with sticky header and scrollable body</h2>
<section class="table-container mat-elevation-z8" tabindex="0">
   
    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8"  matSort matSort #empTbSort="matSort">
    
        <ng-container [matColumnDef]="column" *ngFor="let column of displayedColumns">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ column }}</th>
            <td mat-cell *matCellDef="let emp">{{ emp[column] }}</td>
        </ng-container>
        
        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
        <tr mat-row *matRowDef="let emprow; columns: displayedColumns"></tr>
    
    </table>
    <app-progress-bar [message]="'Cargando Empleados'" [isLoading]="isLoading"></app-progress-bar>
   
    <mat-paginator
        
        #paginator
        [length]="totalData"
        [pageSizeOptions]="pageSizes"
        showFirstLastButtons
    ></mat-paginator>
</section>
    

